dev-python/pyGPG: Add gnupg version agnostic version
authorKristian Fiskerstrand <kf@sumptuouscapital.com>
Wed, 7 Jan 2015 21:57:42 +0000 (22:57 +0100)
committerKristian Fiskerstrand <kf@sumptuouscapital.com>
Wed, 7 Jan 2015 21:57:42 +0000 (22:57 +0100)
Remove specific dep for 2.0.0 to test for 1.4 compatibility

dev-python/pyGPG/pyGPG-9999.ebuild [new file with mode: 0644]

diff --git a/dev-python/pyGPG/pyGPG-9999.ebuild b/dev-python/pyGPG/pyGPG-9999.ebuild
new file mode 100644 (file)
index 0000000..8b29505
--- /dev/null
@@ -0,0 +1,46 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pyGPG/pyGPG-9999.ebuild,v 1.5 2014/12/22 23:34:50 dolsen Exp $
+
+EAPI="5"
+
+PYTHON_COMPAT=(python{2_7,3_3,3_4})
+
+EGIT_BRANCH="master"
+
+inherit distutils-r1 python-r1 git-2
+
+EGIT_REPO_URI="git://github.com/dol-sen/pyGPG.git"
+
+DESCRIPTION="A python interface wrapper for gnupg's gpg command"
+HOMEPAGE="https://github.com/dol-sen/pyGPG"
+SRC_URI=""
+
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+KEYWORDS=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+       app-crypt/gnupg
+       "
+
+python_install_all() {
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       einfo
+       einfo "This is experimental software."
+       einfo "The API's it installs should be considered unstable"
+       einfo "and are subject to change."
+       einfo
+       einfo "Please file any enhancement requests, or bugs"
+       einfo "at https://github.com/dol-sen/pyGPG/issues"
+       einfo "I am also on IRC @ #gentoo-keys of the freenode network"
+       einfo
+       ewarn "There may be some python 3 compatibility issues still."
+       ewarn "Please help debug/fix/report them in github or bugzilla."
+}